Video for Linux Two API Specification: Revision 0.24
Prev |  | Next

# ioctl VIDIOC_ENUMOUTPUT

## Name

VIDIOC_ENUMOUTPUT -- Enumerate video outputs

## Synopsis

``int ioctl`(int fd, int request, struct v4l2_output *argp);`

## Arguments

`fd`

  File descriptor returned by `open()`.

`request`

  VIDIOC_ENUMOUTPUT

`argp`

## Description

To query the attributes of a video outputs applications initialize the `index` field of struct v4l2_output and call the `VIDIOC_ENUMOUTPUT` ioctl with a pointer to this structure. Drivers fill the rest of the structure or return an EINVAL error code when the index is out of bounds. To enumerate all outputs applications shall begin at index zero, incrementing by one until the driver returns EINVAL.

Table 1. struct `v4l2_output`

__u32 | `index` | Identifies the output, set by the application.
__u8 | `name`[32] | Name of the video output, a NUL-terminated ASCII string, for example: "Vout". This information is intended for the user, preferably the connector label on the device itself.
__u32 | `type` | Type of the output, see Table 2.

__u32

`audioset`

Drivers can enumerate up to 32 video and audio outputs. This field shows which audio outputs were selectable as the current output if this was the currently selected video output. It is a bit mask. The LSB corresponds to audio output 0, the MSB to output 31. Any number of bits can be set, or none.

When the driver does not enumerate audio outputs no bits must be set. Applications shall not interpret this as lack of audio support. Drivers may automatically select audio outputs without enumerating them.

For details on audio outputs and how to select the current output see Section 1.5.

__u32 | `modulator` | Output devices can have zero or more RF modulators. When the `type` is `V4L2_OUTPUT_TYPE_MODULATOR` this is an RF connector and this field identifies the modulator. It corresponds to struct v4l2_modulator field `index`. For details on modulators see Section 1.6.
v4l2_std_id | `std` | Every video output supports one or more different video standards. This field is a set of all supported standards. For details on video standards and how to switch see Section 1.7.
__u32 | `reserved`[4] | Reserved for future extensions. Drivers must set the array to zero.

Table 2. Output Type

`V4L2_OUTPUT_TYPE_MODULATOR` | 1 | This output is an analog TV modulator.
`V4L2_OUTPUT_TYPE_ANALOG` | 2 | Analog baseband output, for example Composite / CVBS, S-Video, RGB.
`V4L2_OUTPUT_TYPE_ANALOGVGAOVERLAY` | 3 | [?]

## Return Value

On success 0 is returned, on error -1 and the `errno` variable is set appropriately:

EINVAL

  The struct v4l2_output `index` is out of bounds.

Prev | Home | Next
ioctl VIDIOC_ENUMINPUT | Up | ioctl VIDIOC_ENUMSTD